edu.isi.pegasus.planner.refiner

## Class Authenticate.HostPort

- java.lang.Object
- - edu.isi.pegasus.planner.refiner.Authenticate.HostPort

Enclosing class:
  Authenticate

    class Authenticate.HostPort
    extends java.lang.Object

A convenience inner class that stores the host and the port associated with a server.

### Field Summary

Fields
`private java.lang.String` `mHost` The host at which the server is running.
`private int` `mPort` The port at which the server is running.

### Constructor Summary

Constructors
Constructor and Description
`HostPort(java.lang.String host, int port)` The overloaded constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getHost()` Returns the host associated with this object.
`int` `getPort()` Returns the port associated with this object.
`java.lang.String` `toString()` Returns the string version of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mHost

    private java.lang.String mHost

The host at which the server is running.

#### mPort

    private int mPort

The port at which the server is running.

### Constructor Detail

#### HostPort

    public HostPort(java.lang.String host,
                    int port)

The overloaded constructor

### Method Detail

#### getHost

    public java.lang.String getHost()

Returns the host associated with this object.

Returns:
  String

#### getPort

    public int getPort()

Returns the port associated with this object.

Returns:
  int

#### toString

    public java.lang.String toString()

Returns the string version of this object.

Overrides:
  `toString` in class `java.lang.Object`